%define	name	partimage 
%define	release	2mdk
%define	version	0.6.4

Summary: 	Partition Image
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Archiving/Backup
Source: 	%{name}-%{version}.tar.bz2
Source1:	partimage.1
Source2:	partimaged.8
Source3:	partimagedusers.5
Source4:	genCertificate
Patch0: 	%{name}-slang.patch.bz2
Patch1: 	%{name}-chown.patch.bz2
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	newt-devel zlib-devel openssl-devel bzip2-devel automake1.8
Requires:	openssl > 0.9.6
URL: 		http://www.partimage.org/

%description
- Partition Image is a Linux/UNIX partition imaging utility: it saves
partitions in the Ext2FS (the linux standard), ReiserFS (a new 
journalized and powerful file system), NTFS (Windows NT File System)
or FAT16/32 (DOS & Windows file systems), file system formats to an 
image file. Only used blocks are copied. The image file can be 
compressed in the GZIP/BZIP2 formats to save disk space, and splitted 
into multiple files to be copied on amovibles floppies (ZIP for example),
or burned on a CD-R ...
- This allows to save a full Linux/Windows system, with an only 
operation. When problems (viruses, crash, error, ...), you just have to 
restore, and after several minutes, all your system is restored (boot, 
files, ...), and fully working.
- This is very useful when installing the same software on many 
machines: just install one of them, creat|e an image, and just restore 
the image on all other machines. Then, after the first one, each 
installation is automatically made, and only require a few minutes.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
%make

%install
rm -rf  $RPM_BUILD_ROOT
%makeinstall MKINSTALLDIRS=%{_datadir}/automake-1.8/mkinstalldirs

install -m644 %{SOURCE1} -D %{buildroot}%{_mandir}/man1/partimage.1
install -m644 %{SOURCE2} -D %{buildroot}%{_mandir}/man8/partimaged.8
install -m644 %{SOURCE3} -D %{buildroot}%{_mandir}/man5/partimagedusers.5
install -m755 %{SOURCE4} -D %{buildroot}%{_datadir}/%{name}/partimaged/genCertificate

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{_sbindir}/partimage" \
title="Partimage" \
longtitle="Partimage" \
needs="x11" \
icon="hardware_section.png" \
section="Configuration/Hardware"
EOF

%find_lang %{name}

%pre
/usr/sbin/groupadd -r -f partimag > /dev/null 2>&1 ||:
/usr/sbin/useradd -g partimag -d /home/partimag -r -s /bin/bash partimag > /dev/null 2>&1 ||:


%post

%update_menus

%_install_info %{name}tools.info

echo "Note:"
echo "Don't forget to create your SSL certificate by running %{_datadir}/%{name}/partimaged/genCertificate"

%preun
%_remove_install_info %{name}tools.info

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-,root,root)
%doc BOOT-ROOT-creation.txt BUGS ChangeLog
%doc FORMAT FUTURE PACKAGES README README.partimaged 
%doc SURVEY TESTS THANKS TODO
%{_sbindir}/*
%{_menudir}/%{name}
%attr(0600,partimag,partimag) %config(noreplace) %{_sysconfdir}/partimaged/partimagedusers
%attr(0755,partimag,partimag) %{_datadir}/%{name}/partimaged/genCertificate
%attr(0644,root,root) %{_mandir}/man1/partimage.1*
%attr(0644,root,root) %{_mandir}/man5/partimagedusers.5*
%attr(0644,root,root) %{_mandir}/man8/partimaged.8*
%{_infodir}/*

%changelog
* Fri Jul 23 2004 Marcel Pol <mpol@mandrake.org> 0.6.4-2mdk
- build against new slang

* Wed Jun 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.6.4-1mdk
- 0.8.4
- cleanups

* Mon Nov 24 2003 Michael Scherer <misc@mandrake.org> 0.6.2-5mdk 
- BuildRequires openssl

* Sat Sep 06 2003 Marcel Pol <mpol@gmx.net> 0.6.2-4mdk
- buildrequires

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-3mdk
- buildrequires

* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-2mdk
- rebuild

* Mon Nov 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- 0.6.2
- add infopages

* Mon Mar 11 2002 Erwan Velu <erwan@mandrakesoft.com> 0.6.1-4mdk
- Adding user partimag (needed by source code)
- Adding man files (needed by users :-))
- Adding script for building SSL certificates
- Fixing dependencies

* Mon Feb 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-3mdk
- remove wrong info files
- delete doc files in a wrong place

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.1-2mdk
- Fix menu entry

* Thu Nov 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Wed Oct 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- updated to stable 0.6.0

* Wed Aug 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-0.2mdk
- updated to rc2

* Thu Jul 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- updated to 0.6.0
- patch for slang.h

* Fri Nov 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5-1mdk
- new in contribs
- patch makefiles to allow user building

* Sun Oct 01 2000 Francois Dupoux <fdupoux.fr> 0.3.5
- Bug fixes
- Italian translation
- Debian files for packaging
 
* Wed Sep 20 2000 Francois Dupoux <fdupoux.fr> 0.3.3
- Bug fixes
- Documentation (in english, in SGML ==> HTML)
- New option: "halt/reboot when finished"
- Internationalisation
- Franch translation
  
* Tue Sep 12 2000 Francois Dupoux <fdupoux.fr> 0.3.2
- Bug fixes (NTFS support, Splitting),
- New debug system to make debug easy.
   
* Wed Sep 06 2000 Francois Dupoux <fdupoux.fr> 0.3.1
- Bug fixes
- Compression level auto-detection at restore,
- Beginning of the NTFS support
    
* Sat Aug 27 2000 Francois Dupoux <fdupoux.fr> 0.3.0
- New semi-graphical interface (based on newt) which can be run under a console
- Bug fixes
     
* Mon Aug 21 2000 Francois Dupoux <fdupoux.fr> 0.2.4
- Support of the ReiserFS file system
- File system auto-detection
      
* Tue Aug 15 2000 Francois Dupoux <fdupoux.fr> 0.2.3
- Bug fixes
- Removed the 2 GB partition size limitation
       
* Tue Jul 25 2000 Francois Dupoux <fdupoux.fr> 0.2.2
- FAT16 and FAT32 support
- Bug fixes
- 2 GB limit check
- e2fsck check before saving
- New options
        
* Sat Jun 04 2000 Francois Dupoux <fdupoux.fr> 0.2.1
- Split image support
- Bug fixes
- Size check
- New options
	 
* Mon May 29 2000 Francois Dupoux <fdupoux.fr> 0.2.0
- First version 
